Tasks
curl --request POST \
--url https://api.acedata.cloud/openai/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve",
"id": "<string>",
"trace_id": "<string>",
"ids": [
"<string>"
],
"trace_ids": [
"<string>"
],
"application_id": "<string>",
"user_id": "<string>",
"offset": 0,
"limit": 12,
"created_at_min": 123,
"created_at_max": 123
}
'import requests
url = "https://api.acedata.cloud/openai/tasks"
payload = {
"action": "retrieve",
"id": "<string>",
"trace_id": "<string>",
"ids": ["<string>"],
"trace_ids": ["<string>"],
"application_id": "<string>",
"user_id": "<string>",
"offset": 0,
"limit": 12,
"created_at_min": 123,
"created_at_max": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'retrieve',
id: '<string>',
trace_id: '<string>',
ids: ['<string>'],
trace_ids: ['<string>'],
application_id: '<string>',
user_id: '<string>',
offset: 0,
limit: 12,
created_at_min: 123,
created_at_max: 123
})
};
fetch('https://api.acedata.cloud/openai/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "42b2ab0f-5676-453b-bd23-9ee001b888ae",
"_id": "65ede215550a4144a5fcebac",
"type": "images",
"trace_id": "b0a683a4-aecc-450d-849e-c9f0730826a2",
"api_id": "8f01fe72-8a3e-4872-8d8d-330cde179b3a",
"application_id": "e2ee38ba-19ea-4da9-9f3f-4f8567d19feb",
"credential_id": null,
"user_id": null,
"request": {
"model": "gpt-image-1",
"prompt": "a cute corgi astronaut on Mars",
"size": "1024x1024",
"n": 1
},
"response": {
"success": true,
"task_id": "42b2ab0f-5676-453b-bd23-9ee001b888ae",
"trace_id": "b0a683a4-aecc-450d-849e-c9f0730826a2",
"created": 1761432000,
"data": [
{
"url": "https://platform.cdn.acedata.cloud/gpt-image/cb104e35-af1f-45be-9fac-b62e2b256753_0.png",
"revised_prompt": "A cute corgi astronaut on Mars."
}
]
},
"created_at": 1761432000.063,
"started_at": "2025-10-26T00:00:00.069+00:00",
"finished_at": 1761432015.098,
"elapsed": 15.029
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Tasks
Query tasks created by /v1/images/generations or /v1/images/edits with callback_url.
POST
/
openai
/
tasks
Tasks
curl --request POST \
--url https://api.acedata.cloud/openai/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve",
"id": "<string>",
"trace_id": "<string>",
"ids": [
"<string>"
],
"trace_ids": [
"<string>"
],
"application_id": "<string>",
"user_id": "<string>",
"offset": 0,
"limit": 12,
"created_at_min": 123,
"created_at_max": 123
}
'import requests
url = "https://api.acedata.cloud/openai/tasks"
payload = {
"action": "retrieve",
"id": "<string>",
"trace_id": "<string>",
"ids": ["<string>"],
"trace_ids": ["<string>"],
"application_id": "<string>",
"user_id": "<string>",
"offset": 0,
"limit": 12,
"created_at_min": 123,
"created_at_max": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'retrieve',
id: '<string>',
trace_id: '<string>',
ids: ['<string>'],
trace_ids: ['<string>'],
application_id: '<string>',
user_id: '<string>',
offset: 0,
limit: 12,
created_at_min: 123,
created_at_max: 123
})
};
fetch('https://api.acedata.cloud/openai/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "42b2ab0f-5676-453b-bd23-9ee001b888ae",
"_id": "65ede215550a4144a5fcebac",
"type": "images",
"trace_id": "b0a683a4-aecc-450d-849e-c9f0730826a2",
"api_id": "8f01fe72-8a3e-4872-8d8d-330cde179b3a",
"application_id": "e2ee38ba-19ea-4da9-9f3f-4f8567d19feb",
"credential_id": null,
"user_id": null,
"request": {
"model": "gpt-image-1",
"prompt": "a cute corgi astronaut on Mars",
"size": "1024x1024",
"n": 1
},
"response": {
"success": true,
"task_id": "42b2ab0f-5676-453b-bd23-9ee001b888ae",
"trace_id": "b0a683a4-aecc-450d-849e-c9f0730826a2",
"created": 1761432000,
"data": [
{
"url": "https://platform.cdn.acedata.cloud/gpt-image/cb104e35-af1f-45be-9fac-b62e2b256753_0.png",
"revised_prompt": "A cute corgi astronaut on Mars."
}
]
},
"created_at": 1761432000.063,
"started_at": "2025-10-26T00:00:00.069+00:00",
"finished_at": 1761432015.098,
"elapsed": 15.029
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}授权
API token from https://platform.acedata.cloud
请求头
Openai Tasks Param Accept
可用选项:
application/json 请求体
application/json
Openai Tasks Action
可用选项:
retrieve, retrieve_batch Openai Tasks Id
Openai Tasks Trace Id
Openai Tasks Ids
Openai Tasks Trace Ids
Openai Tasks Application Id
Openai Tasks User Id
Openai Tasks Type
可用选项:
images, images_generations, images_edits Openai Tasks Offset
Openai Tasks Limit
Openai Tasks Created At Min
Openai Tasks Created At Max
⌘I

